### Constructor

# Gtk.NumericSorter.new

#### Declaration [src]

    GtkNumericSorter*
    gtk_numeric_sorter_new (
      GtkExpression* expression
    )

#### Description [src]

Creates a new numeric sorter using the given `expression`.

Smaller numbers will be sorted first. You can call `gtk_numeric_sorter_set_sort_order()` to change this.

#### Parameters

`expression` | `GtkExpression`
| The expression to evaluate
| Can be `NULL`
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GtkNumericSorter`
a new `GtkNumericSorter`
Ownership of the data is transferred to the caller